Bug 967654 - [abrt] evolution-data-server-3.6.4-4.fc18: icalvalue_new_clone: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.6.4-4.fc18: icalvalue_new_clone: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:2621affd55c179d9d32f38f2cb1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 16:07 EDT by Matthew Saltzman
Modified: 2014-02-05 16:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:34:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (61.27 KB, text/plain)
2013-05-27 16:07 EDT, Matthew Saltzman
no flags Details
File: cgroup (126 bytes, text/plain)
2013-05-27 16:07 EDT, Matthew Saltzman
no flags Details
File: core_backtrace (2.98 KB, text/plain)
2013-05-27 16:07 EDT, Matthew Saltzman
no flags Details
File: dso_list (22.04 KB, text/plain)
2013-05-27 16:07 EDT, Matthew Saltzman
no flags Details
File: environ (1021 bytes, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details
File: maps (106.44 KB, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details
File: open_fds (763 bytes, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details
File: smolt_data (3.54 KB, text/plain)
2013-05-27 16:08 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2013-05-27 16:07:44 EDT
Description of problem:
Crashed on resume from suspended state on another network.

Version-Release number of selected component:
evolution-data-server-3.6.4-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: icalvalue_new_clone
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.9.4-200.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May 27 12:35:13 serenity abrt[4945]: Saved core dump of pid 1563 (/usr/libexec/evolution-calendar-factory) to /var/tmp/abrt/ccpp-2013-05-27-12:35:11-1563 (150560768 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 icalvalue_new_clone at icalvalue.c:149
 #4 icalproperty_new_clone at icalproperty.c:142
 #5 icalcomponent_new_clone at icalcomponent.c:206
 #7 save_timezone at e-cal-backend-file-store.c:778
 #8 g_hash_table_foreach at ghash.c:1524
 #9 timeout_save_cache at e-cal-backend-file-store.c:796
 #15 dbus_server_run_server at e-dbus-server.c:222
 #16 ffi_call_unix64 at ../src/x86/unix64.S:75
 #17 ffi_call at ../src/x86/ffi64.c:486
 #18 g_cclosure_marshal_generic_va at gclosure.c:1550
Comment 1 Matthew Saltzman 2013-05-27 16:07:48 EDT
Created attachment 753663 [details]
File: backtrace
Comment 2 Matthew Saltzman 2013-05-27 16:07:51 EDT
Created attachment 753664 [details]
File: cgroup
Comment 3 Matthew Saltzman 2013-05-27 16:07:54 EDT
Created attachment 753665 [details]
File: core_backtrace
Comment 4 Matthew Saltzman 2013-05-27 16:07:57 EDT
Created attachment 753666 [details]
File: dso_list
Comment 5 Matthew Saltzman 2013-05-27 16:08:00 EDT
Created attachment 753667 [details]
File: environ
Comment 6 Matthew Saltzman 2013-05-27 16:08:03 EDT
Created attachment 753668 [details]
File: limits
Comment 7 Matthew Saltzman 2013-05-27 16:08:06 EDT
Created attachment 753669 [details]
File: maps
Comment 8 Matthew Saltzman 2013-05-27 16:08:08 EDT
Created attachment 753670 [details]
File: open_fds
Comment 9 Matthew Saltzman 2013-05-27 16:08:11 EDT
Created attachment 753671 [details]
File: proc_pid_status
Comment 10 Matthew Saltzman 2013-05-27 16:08:14 EDT
Created attachment 753672 [details]
File: smolt_data
Comment 11 Milan Crha 2013-05-30 03:58:31 EDT
Thanks for a bug report. It seems from the backtrace that this crashed when libical tried to allocate 2760 bytes. It doesn't seem to fail on the amount of memory, it rather failed due to some memory corruption. I think the resume was only a coincidence, or a matter of "proper" timing to suspend at "the right" time. Unfortunately, I've no idea how to debug this further, to get more precise steps for a reproducer.
Comment 12 Fedora End Of Life 2013-12-21 08:45:35 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:34:21 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.